# frozen_string_literal: true

require 'bundler/setup'
require 'rspec/its'


class TestHelper
  def self.native_supported?
    mri = RUBY_ENGINE == "ruby"
    windows = RUBY_PLATFORM.include?("mingw")

    mri && !windows
  end
end

RSpec.configure do |config|
  config.warnings = true
  config.filter_run_when_matching :focus
end
